# TSPVodeSetTolerance

Sets the absolute and relative tolerance used by PVode for error control.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSPVodeSetTolerance(TS ts,double aabs,double rel)

Collective on TS

### Input parameters

| ts | - the time-step context
| aabs | - the absolute tolerance
| rel | - the relative tolerance

Contributed by: Liyang Xu

See the Cvode/Pvode users manual for exact details on these parameters. Essentially these regulate the size of the error for a SINGLE timestep.

### Keywords

PVode, tolerance

### See Also

TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(),
TSPVodeSetLinearTolerance(), TSPVodeSetGramSchmidtType(), TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(), TSPVodeSetLinearTolerance(), TSPVodeSetTolerance(), TSPVodeGetPC(), TSPVodeSetExactFinalTime()

Level:intermediate
Location:src/ts/impls/implicit/pvode/petscpvode.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages